# repositoryItem

Represents a repository associated with the application, including its type and location.

### Examples

```graphql
type RepositoryItem {
  type: String
  system: String
  date: String
  location: [AppFlowItemLocation]
}
```

### Fields

| Field                                                                                                                         | Description                                                           | Supported fields                                                                                                           |
| ----------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| type `String`                                                                                                                 | Type of the repository                                                |                                                                                                                            |
| system `String`                                                                                                               | System associated with the repository                                 |                                                                                                                            |
| date `String`                                                                                                                 | Timestamp indicating when the repository information was last updated |                                                                                                                            |
| location [`[AppFlowItemLocation]`](/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md) | Locations where the repository is hosted or deployed                  | <p>runBy <code>String</code><br>foundBy <code>String</code><br>foundIn <code>String</code><br>link <code>String</code></p> |

### References

#### Fields with this object:

* [{} ApplicationFlow.repository](/api-documentation/api-reference/api--application/types/objects/application-flow.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/repository-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
